<?php
ini_set('max_execution_time', '0');
ini_set('memory_limit', '1024M');
ini_set('upload_max_filesize', '1024M');
ini_set('post_max_size', '1024M');
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$show_inputs = 1;
$show_back = 0;

// # Get language
if (isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])) {
	$lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0, 2);
}
else {
	$lang = "en";
}

// # Set $msg
if($lang == "de") {
$msg = "Datei: pkwliste.demo.sql<button type=\"submit\" title=\"Installation starten\">Installation starten</button>";
}
else {
	$msg = "File: pkwliste.demo.sql<button type=\"submit\" title=\"Start installation\">Start installation</button>";
}

// # POST
if($_SERVER['REQUEST_METHOD'] == "POST"  && isset($_POST["senden"])) {
	
	if(!$_POST["host"] || !$_POST["username"] || !$_POST["database_name"]) {
		header("Location: ?p=error_fields");
		exit();	
	}
	else {
		
		$test_con = mysqli_connect($_POST["host"], $_POST["username"], $_POST["password"], $_POST["database_name"]);
		
		if(mysqli_connect_errno()) {
    
			header("Location: ?p=error_mysql");
			exit();	
		
		}
		else {
			
			$content = "<?php
# DATENBANK KLASSE
\$con = mysqli_connect('".$_POST['host']."','".$_POST['username']."','".$_POST['password']."','".$_POST['database_name']."') or die (mysqli_error(\$con));
\$con->set_charset('utf8');	
?>";


			$file = $_SERVER['DOCUMENT_ROOT'] . "/pkwliste_demo/inc/datenbank.php";
			file_put_contents($file, $content);
			
			include ("../inc/konfiguration.php");
			
			
			$filename = 'pkwliste.demo.sql';
			$templine = '';
			$lines = file($filename);
			foreach ($lines as $line) {
				if (substr($line, 0, 2) == '--' || $line == '') {
					continue;
				}
				$templine .= $line;
				if (substr(trim($line), -1, 1) == ';') {
					mysqli_query($con, $templine) or print('Error performing query \'<strong>' . $templine . '\': ' . mysqli_error($con) . '<br /><br />');
					$templine = '';
				}
			}		
			
			header("Location: ?p=done");
			exit();	
			
		}
		
	}
	
}

// # GET
if($_SERVER['REQUEST_METHOD'] == "GET" && isset($_GET["p"])) {
	if($_GET["p"] == "done") {
		$show_inputs = 0;		
		if($lang == "de") {
			$msg = "Installation erfolgreich durchgeführt.<div id=\"info\">Wichtig: Entfernen Sie nun den Ordner 'dump' aus Ihrem Webspace!</div> <a href=\"/pkwliste_demo/\" title=\"Zur Startseite\">Zur Startseite</a>";
		}
		else {
			$msg = "Installation was successful.<br /><div id=\"info\">Important: Remove the 'dump' folder from your webspace!</div> <a href=\"/pkwliste_demo/\" title=\"Go to home\">Go to home</a>";
		}
	}
	elseif($_GET["p"] == "error_fields") {
		$show_inputs = 0;
		if($lang == "de") {
			$msg = "Bitte füllen Sie alle Felder aus <a href=\"installation.php\" title=\"Zurück\">Zurück</a>";
		}
		else {
			$msg = "Please fill in all fields <a href=\"installation.php\" title=\"Go back\">Go back</a>";
		}
	}
	elseif($_GET["p"] == "error_mysql") {
		$show_inputs = 0;
		if($lang == "de") {
			$msg = "Ihre MySQL Verbindungsdaten stimmen nicht <a href=\"installation.php\" title=\"Zurück\">Zurück</a>";
		}
		else {
			$msg = "Your MySQL connection data is incorrect <a href=\"installation.php\" title=\"Go back\">Go back</a>";
		}
	}
	else {
		$show_inputs = 0;
		if($lang == "de") {
			$msg = "Etwas ist schief gelaufen! <a href=\"installation.php\" title=\"Zurück\">Zurück</a>";
		}
		else {
			$msg = "Something went wrong! <a href=\"installation.php\" title=\"Go back\">Go back</a>";
		}
	}	
}
?>
<!doctype html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>SQL Upload | pkwliste</title>
		<style>
		body {
			margin: 25px;
			font-size: 16px;
			background: #fafafa;
		}
		#content {
			text-align: center;
		}
		#content label {
			width: 125px;
			display: inline-block;
			text-align: left;
		}
		#content input {
			width: 225px;
			padding: 4px 6px;
		}
		#content button, #content a {
			border: 2px solid #515151;
			padding: 10px;
			background: #f5f5f5;
			color: #515151;
			text-decoration: none;
			display: block;
			margin: 20px auto;
			max-width: 150px;
			cursor: pointer;
			width: 180px;
		}
		#content button:hover, #content a:hover {
			background: rgba(17,17,17,0.5);
			color: #fafafa;
		}
		#info {
			display: block;
			margin: 20px auto;
			padding: 10px;
			max-width: 500px;
			border: 2px solid red;
			color: #515151;
		}
		</style>
	</head>
  <body>
	<div id="content">
		<h2><?php if($lang == "de") { ?>Installation:<?php } else { ?>Installation:<?php } ?></h2>
		<hr />
		<br />
		<?php if($show_inputs == 1) { ?>
		<?php if($lang == "de") { ?>Geben Sie Ihre MySQL Verbindungsdaten ein:<?php } else { ?>Enter your MySQL connection data:<?php } ?>
		<br />
		<br />
		<form action="installation.php" method="post" onsubmit="return changeText()">
		<input type="hidden" name="senden" value="1" />
		<label for="host"><?php if($lang == "de") { ?>Host:<?php } else { ?>Host:<?php } ?></label>
		<input name="host" type="text" value="" placeholder="localhost" />
		<br />
		<br />
		<label for="host"><?php if($lang == "de") { ?>Benutzername:<?php } else { ?>Username:<?php } ?></label>
		<input name="username" type="text" value="" placeholder="username" />
		<br />
		<br />
		<label for="password"><?php if($lang == "de") { ?>Passwort:<?php } else { ?>Password:<?php } ?></label>
		<input name="password" type="text" value="" placeholder="password" />
		<br />
		<br />
		<label for="database_name"><?php if($lang == "de") { ?>Datenbankname:<?php } else { ?>Database name:<?php } ?></label>
		<input name="database_name" type="text" value="" placeholder="database_name" />
		<br />
		<br />
		<hr />
		<br />
		<?php } ?>
		<div id="text"><?php echo $msg; ?></div>
		</form>
		<br />
		<br />
		<small>Copyright by pkwliste.com</small>
	</div>
	<script>
		var images = [];
		function preload() {
			for (var i = 0; i < arguments.length; i++) {
				images[i] = new Image();
				images[i].src = preload.arguments[i];
			}
		}
		preload("loader.gif");
		function changeText() {
			<?php if($lang == "de") { ?>
			document.getElementById("text").innerHTML = '<img src="loader.gif" alt="Loading" /><br /><br />Die Datenbank wird gerade hochgeladen. Bitte schließen Sie auf keinen Fall den Webbrowser!<br />In der Regel dauert dies maximal ~ 2 Minuten.';
			<?php } else { ?>
			document.getElementById("text").innerHTML = '<img src="loader.gif" alt="Loading" /><br /><br />The database is currently being uploading. Please do not close the web browser! <br /> Usually this takes max ~ 2 minutes.';
			<?php } ?>
			return true;
		}
	</script>
	</body>
</html>