-- pkwliste.com
-- Demo Datenbank
-- https://www.pkwliste.com/

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `fahrzeuge`
--

DROP TABLE IF EXISTS `fahrzeuge`;
CREATE TABLE `fahrzeuge` (
  `id` int(11) NOT NULL,
  `hersteller_id` int(11) DEFAULT NULL,
  `hersteller_name` varchar(128) DEFAULT NULL,
  `modell_id` int(11) DEFAULT NULL,
  `modell_name` varchar(128) DEFAULT NULL,
  `fahrzeug_id` int(11) DEFAULT NULL,
  `fahrzeug_name` varchar(128) DEFAULT NULL,
  `fahrzeug_typ` varchar(128) DEFAULT NULL,
  `fahrzeug_form` varchar(128) DEFAULT NULL,
  `fahrzeug_eg_nummer` varchar(128) DEFAULT NULL,
  `fahrzeug_antriebsachse` varchar(128) DEFAULT NULL,
  `fahrzeug_achslast_va` varchar(16) DEFAULT NULL,
  `fahrzeug_achslast_ha` varchar(16) DEFAULT NULL,
  `fahrzeug_zul_gesamtgewicht` varchar(16) DEFAULT NULL,
  `fahrzeug_laenge` varchar(16) DEFAULT NULL,
  `fahrzeug_breite` varchar(16) DEFAULT NULL,
  `fahrzeug_hoehe` varchar(16) DEFAULT NULL,
  `fahrzeug_stuetzlast` varchar(16) DEFAULT NULL,
  `fahrzeug_anhaengelast_gebremst` varchar(16) DEFAULT NULL,
  `fahrzeug_anhaengelast_ungebremst` varchar(16) DEFAULT NULL,
  `fahrzeug_treibstoff` varchar(128) DEFAULT NULL,
  `fahrzeug_motor` varchar(128) DEFAULT NULL,
  `fahrzeug_motorcode` varchar(128) DEFAULT NULL,
  `fahrzeug_motor_oelmenge` varchar(16) DEFAULT NULL,
  `fahrzeug_ps` varchar(16) DEFAULT NULL,
  `fahrzeug_kw` varchar(16) DEFAULT NULL,
  `fahrzeug_leistung_bei_umdrehungen` varchar(16) DEFAULT NULL,
  `fahrzeug_hubraum` varchar(16) DEFAULT NULL,
  `fahrzeug_co2_emissions_wert` varchar(16) DEFAULT NULL,
  `fahrzeug_leergewicht` varchar(16) DEFAULT NULL,
  `fahrzeug_max_kmh` varchar(16) DEFAULT NULL,
  `fahrzeug_sitzanzahl` varchar(16) DEFAULT NULL,
  `fahrzeug_tueranzahl` varchar(16) DEFAULT NULL,
  `fahrzeug_prod_monat_von` varchar(16) DEFAULT NULL,
  `fahrzeug_prod_monat_bis` varchar(16) DEFAULT NULL,
  `fahrzeug_prod_jahr_von` varchar(16) DEFAULT NULL,
  `fahrzeug_prod_jahr_bis` varchar(16) DEFAULT NULL,
  `fahrzeug_hsn` varchar(16) DEFAULT NULL,
  `fahrzeug_tsn` varchar(16) DEFAULT NULL,
  `fahrzeug_vsn` varchar(16) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `fahrzeuge`
--

INSERT INTO `fahrzeuge` (`id`, `hersteller_id`, `hersteller_name`, `modell_id`, `modell_name`, `fahrzeug_id`, `fahrzeug_name`, `fahrzeug_typ`, `fahrzeug_form`, `fahrzeug_eg_nummer`, `fahrzeug_antriebsachse`, `fahrzeug_achslast_va`, `fahrzeug_achslast_ha`, `fahrzeug_zul_gesamtgewicht`, `fahrzeug_laenge`, `fahrzeug_breite`, `fahrzeug_hoehe`, `fahrzeug_stuetzlast`, `fahrzeug_anhaengelast_gebremst`, `fahrzeug_anhaengelast_ungebremst`, `fahrzeug_treibstoff`, `fahrzeug_motor`, `fahrzeug_motorcode`, `fahrzeug_motor_oelmenge`, `fahrzeug_ps`, `fahrzeug_kw`, `fahrzeug_leistung_bei_umdrehungen`, `fahrzeug_hubraum`, `fahrzeug_co2_emissions_wert`, `fahrzeug_leergewicht`, `fahrzeug_max_kmh`, `fahrzeug_sitzanzahl`, `fahrzeug_tueranzahl`, `fahrzeug_prod_monat_von`, `fahrzeug_prod_monat_bis`, `fahrzeug_prod_jahr_von`, `fahrzeug_prod_jahr_bis`, `fahrzeug_hsn`, `fahrzeug_tsn`, `fahrzeug_vsn`) VALUES
(1, 1, 'Audi', 1, 'RS4', 1, 'RS 4 Avant Quattro', 'B9', 'Kombi', 'e1*2001/116*0447*11', 'Allradantrieb', '1210', '1235', '2350', '4883', '1866', '1460', '80', '1900', '750', 'Benzin', 'Ottomotor', 'DECA', '7.6', '450', '331', '5700', '2894', '199', '1830', '280', '5', '5', '3', '11', '2018', '2019', '1860', 'AAS', '00001'),
(2, 1, 'Audi', 1, 'RS4', 2, 'RS 4 Avant Quattro', 'B9', 'Kombi', 'e1*2001/116*0447*15', 'Allradantrieb', '1225', '1235', '2350', '4883', '1866', '1449', '80', '1900', '750', 'Benzin', 'Ottomotor', 'DECA', '7.6', '450', '331', '5700', '2894', NULL, '1820', '280', '5', '5', '12', NULL, '2019', NULL, '1860', 'AAS', '00017'),
(3, 1, 'Audi', 1, 'RS4', 3, 'RS4 2.7 Avant Quattro', 'B5', 'Kombi', 'E1*98/14*0105*', 'Allradantrieb', '1145', '1140', '2170', '4525', '1799', '1350', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'ASJ, AZR', '6', '381', '280', '6100', '2671', '287', '1695', '250', '5', '5', '2', '6', '2000', '2001', '7967', '307', '001'),
(4, 1, 'Audi', 1, 'RS4', 4, 'RS4 4.2 TFSI Quattro', 'QB6', 'Limousine', 'e1*2001/116*0243*04', 'Allradantrieb', '1230', '1100', '2200', '4589', '1816', '1450', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'BNS', '9.6', '420', '309', '7800', '4163', '322', '1820', '280', '5', '4', '9', '8', '2005', '2008', '7967', 'AAE', '00001'),
(5, 1, 'Audi', 1, 'RS4', 5, 'RS4 Avant 4.2 FSI Quattro', 'B8', 'Kombi', 'e1*2001/116*0447*04', 'Allradantrieb', '1210', '1210', '2345', '4719', '1850', '1434', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'CFSA', '9.7', '450', '331', '8250', '4163', '249', '1870', '280', '5', '5', '4', '2', '2012', '2018', '7967', 'AAV', '00001'),
(6, 1, 'Audi', 1, 'RS4', 6, 'RS4 Avant 4.2 TFSI Quattro', 'QB6', 'Kombi', 'e1*2001/116*0243*04', 'Allradantrieb', '1230', '1150', '2260', '4589', '1816', '1475', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'BNS', '9.6', '420', '309', '7800', '4163', '324', '1880', '280', '5', '5', '5', '8', '2006', '2008', '7967', 'AAA', '00001'),
(7, 1, 'Audi', 1, 'RS4', 7, 'RS4 Cabrio Quattro', 'QB6', 'Cabrio', 'e1*2001/116*0243*05', 'Allradantrieb', '1220', '1150', '2305', '4555', '1814', '1391', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'BNS', '9.6', '420', '309', '7800', '4163', '334', '1920', '250', '4', '2', '5', '2', '2006', '2009', '7967', 'AAH', '00001'),
(8, 2, 'BMW', 2, 'Z4', 8, 'Z4 2.0i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*04', 'Heckantrieb', '750', '840', '1520', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N46B20', '4.25', '150', '110', '6200', '1995', '181', '1295', '220', '2', '2', '1', NULL, '2006', NULL, '0005', 'AAT', '00001'),
(9, 2, 'BMW', 2, 'Z4', 9, 'Z4 2.0i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*', 'Heckantrieb', '750', '840', '1520', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N46B20', '4.25', '150', '110', '6200', '1995', '181', '1295', '220', '2', '2', '4', '12', '2005', '2005', '0005', '819', '001'),
(10, 2, 'BMW', 2, 'Z4', 10, 'Z4 2.2i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*', 'Heckantrieb', '780', '820', '1585', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'M54 B22', '6.5', '170', '125', '6100', '2171', '214', '1360', '225', '2', '2', '10', '12', '2003', '2005', '0005', '790', '001'),
(11, 2, 'BMW', 2, 'Z4', 11, 'Z4 2.5i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*04', 'Heckantrieb', '780', '840', '1600', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52B25', '6.5', '177', '130', '5800', '2497', '197', '1375', '229', '2', '2', '1', NULL, '2006', NULL, '0005', 'AAB', '00001'),
(12, 2, 'BMW', 2, 'Z4', 12, 'Z4 2.5i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*04', 'Heckantrieb', '780', '850', '1620', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', NULL, NULL, '211', '155', '6500', '2497', '202', '1395', '240', '2', '2', NULL, NULL, '2006', NULL, '0005', 'AAD', '00001'),
(13, 2, 'BMW', 2, 'Z4', 13, 'Z4 2.5i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*04', 'Heckantrieb', '780', '850', '1620', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52B25', '6.5', '218', '160', '6500', '2497', '202', '1395', '240', '2', '2', '1', NULL, '2006', NULL, '0005', 'AAC', '00001'),
(14, 2, 'BMW', 2, 'Z4', 14, 'Z4 2.5i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*', 'Heckantrieb', '780', '840', '1590', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'M54 B25', '6.5', '192', '141', '6000', '2494', '216', '1365', '235', '2', '2', '12', '12', '2002', '2005', '0005', '758', '001'),
(15, 2, 'BMW', 2, 'Z4', 15, 'Z4 3.0i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*04', 'Heckantrieb', '790', '860', '1640', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52B30', '6.5', '258', '190', '6600', '2979', '207', '1415', '250', '2', '2', '1', NULL, '2006', NULL, '0005', 'AAA', '00001'),
(16, 2, 'BMW', 2, 'Z4', 16, 'Z4 3.0i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*05', 'Heckantrieb', '790', '860', '1640', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52B30', '6.5', '265', '195', '6600', '2996', '207', '1415', '250', '2', '2', '1', NULL, '2006', NULL, '0005', 'AAA', '00005'),
(17, 2, 'BMW', 2, 'Z4', 17, 'Z4 3.0i', 'Z85 (E85)', 'Cabrio', 'e1*2001/116*0219*', 'Heckantrieb', '790', '840', '1610', '4091', '1781', '1299', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'M54 B30', '6.5', '231', '170', '5900', '2979', '221', '1385', '250', '2', '2', '12', '12', '2002', '2005', '0005', '757', '001'),
(18, 2, 'BMW', 2, 'Z4', 18, 'Z4 3.0i Coupe (E85) (Facelift)', 'Z85 (E85)', 'Coupe', 'e1*2001/116*0219*05', 'Heckantrieb', '790', '890', '1680', '4091', '1781', '1283', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52B30', '6.5', '265', '195', '6600', '2996', '216', '1425', '250', '2', '2', '3', NULL, '2006', NULL, '0005', 'AAF', '00001'),
(19, 2, 'BMW', 2, 'Z4', 19, 'Z4 M Roadster 3.2', 'M85', 'Cabrio', 'e1*2001/116*0364*00', 'Heckantrieb', '840', '910', '1705', '4113', '1781', '1302', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'S54B32', '5.5', '343', '252', '7900', '3246', '292', '1485', '250', '2', '2', '1', NULL, '2006', '2008', '7909', 'AAA', '00001'),
(20, 2, 'BMW', 2, 'Z4', 20, 'Z4 M-Coupe 3.2', 'M85', 'Coupe', 'e1*2001/116*0364*01', 'Heckantrieb', '855', '935', '1730', '4113', '1781', '1287', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'S54B32', '5.5', '343', '252', '7900', '3246', '292', '1495', '280', '2', '2', '3', NULL, '2006', '2008', '7909', 'AAB', '00001'),
(21, 2, 'BMW', 2, 'Z4', 21, 'Z4 M-Coupe 3.2', 'M85', 'Coupe', 'e1*2001/116*0364*03', 'Heckantrieb', '855', '935', '1730', '4113', '1781', '1287', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'S54B32', '5.5', '343', '252', '7900', '3246', '292', '1495', '280', '2', '2', '3', NULL, '2006', NULL, '7909', 'AAB', '00010'),
(22, 2, 'BMW', 2, 'Z4', 22, 'Z4 M40i', 'G4Z (G29)', 'Roadster', 'e1*2007/46*1949*00', 'Heckantrieb', '865', '995', '1860', '4324', '1864', '1304', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'B58', '6.5', '340', '250', '5000', '2998', NULL, '1630', '250', '2', '2', '12', NULL, '2018', NULL, '0005', 'CTI', '00001'),
(23, 2, 'BMW', 2, 'Z4', 23, 'Z4 sDrive18i', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*05', 'Heckantrieb', '795', '970', '1750', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N20B20', '4.75', '156', '115', '5000', '1997', '159', '1495', '221', '2', '2', '3', '11', '2013', '2018', '0005', 'BPN', '00001'),
(24, 2, 'BMW', 2, 'Z4', 24, 'Z4 sDrive20i', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*05', 'Heckantrieb', '800', '970', '1750', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N20B20', '4.75', '163', '120', '4800', '1997', '159', '1495', '225', '2', '2', '3', '11', '2013', '2018', '0005', 'BGW', '00005'),
(25, 2, 'BMW', 2, 'Z4', 25, 'Z4 sDrive20i', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*05', 'Heckantrieb', '800', '970', '1750', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N20B20', '4.75', '184', '135', '5000', '1997', '159', '1495', '235', '2', '2', '3', '11', '2013', '2018', '0005', 'BGX', '00009'),
(26, 2, 'BMW', 2, 'Z4', 26, 'Z4 sDrive20i', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*03', 'Heckantrieb', '800', '970', '1750', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N20B20', '4.75', '163', '120', '4800', '1997', '159', '1495', '225', '2', '2', '9', '2', '2011', '2013', '0005', 'BGW', '00001'),
(27, 2, 'BMW', 2, 'Z4', 27, 'Z4 sDrive20i', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*03', 'Heckantrieb', '800', '970', '1750', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N20B20', '4.75', '184', '135', '5000', '1997', '159', '1495', '235', '2', '2', '9', '2', '2011', '2013', '0005', 'BGX', '00001'),
(28, 2, 'BMW', 2, 'Z4', 28, 'Z4 sDrive20i', 'G4Z (G29)', 'Roadster', 'e1*2007/46*1949*00', 'Heckantrieb', '830', '935', '1740', '4324', '1864', '1304', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'B48', '5.25', '163', '120', '4000', '1998', NULL, '1505', '227', '2', '2', '12', NULL, '2018', NULL, '0005', 'CTJ', '00001'),
(29, 2, 'BMW', 2, 'Z4', 29, 'Z4 sDrive20i', 'G4Z (G29)', 'Roadster', 'e1*2007/46*1949*00', 'Heckantrieb', '830', '935', '1740', '4324', '1864', '1304', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'B48', '5.25', '197', '145', '4500', '1998', NULL, '1505', '241', '2', '2', '12', NULL, '2018', NULL, '0005', 'CTG', '00001'),
(30, 2, 'BMW', 2, 'Z4', 30, 'Z4 sDrive23i', 'Z89', 'Cabrio', 'e1*2001/116*0499*00', 'Heckantrieb', '800', '970', '1760', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52B25', '7', '204', '150', '6300', '2497', '215', '1505', '242', '2', '2', '5', '2', '2009', '2013', '0005', 'AOL', '00001'),
(31, 2, 'BMW', 2, 'Z4', 31, 'Z4 sDrive23i', 'ZR', 'Cabrio', 'e1*2007/46*0373*01', 'Heckantrieb', '800', '970', '1760', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52B25', '7', '204', '150', '6300', '2497', '215', '1505', '242', '2', '2', '5', '2', '2009', '2013', '0005', 'AYL', '00001'),
(32, 2, 'BMW', 2, 'Z4', 32, 'Z4 sDrive28i', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*05', 'Heckantrieb', '800', '970', '1750', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N20B20', '4.75', '245', '180', '5000', '1997', '159', '1495', '250', '2', '2', '3', '11', '2013', '2018', '0005', 'BGY', '00009'),
(33, 2, 'BMW', 2, 'Z4', 33, 'Z4 sDrive28i', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*03', 'Heckantrieb', '800', '970', '1750', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N20B20', '4.75', '245', '180', '5000', '1997', '159', '1495', '250', '2', '2', '9', '2', '2011', '2013', '0005', 'BGY', '00001'),
(34, 2, 'BMW', 2, 'Z4', 34, 'Z4 sDrive30i', 'Z89', 'Cabrio', 'e1*2001/116*0499*00', 'Heckantrieb', '800', '970', '1760', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52KB30', '6.5', '258', '190', '6600', '2996', '210', '1505', '250', '2', '2', '5', '2', '2009', '2013', '0005', 'AOM', '00001'),
(35, 2, 'BMW', 2, 'Z4', 35, 'Z4 sDrive30i', 'ZR', 'Cabrio', 'e1*2007/46*0373*01', 'Heckantrieb', '800', '970', '1760', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N52KB30', '6.5', '258', '190', '6600', '2996', '215', '1505', '250', '2', '2', '5', '2', '2009', '2013', '0005', 'AYM', '00001'),
(36, 2, 'BMW', 2, 'Z4', 36, 'Z4 sDrive30i', 'G4Z (G29)', 'Roadster', 'e1*2007/46*1949*00', 'Heckantrieb', '830', '935', '1740', '4324', '1864', '1304', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'B48', '5.25', '258', '190', '5000', '1998', NULL, '1505', '250', '2', '2', '12', NULL, '2018', NULL, '0005', 'CTH', '00001'),
(37, 2, 'BMW', 2, 'Z4', 37, 'Z4 sDrive35i', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*05', 'Heckantrieb', '870', '1000', '1855', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N54B30', '6.5', '306', '225', '5800', '2979', '219', '1600', '250', '2', '2', '3', '11', '2013', '2018', '0005', 'AYN', '00033'),
(38, 2, 'BMW', 2, 'Z4', 38, 'Z4 sDrive35i', 'Z89', 'Cabrio', 'e1*2001/116*0499*00', 'Heckantrieb', '870', '1000', '1855', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N54B30', '6.5', '306', '225', '5800', '2979', '219', '1600', '250', '2', '2', '5', '2', '2009', '2013', '0005', 'AON', '00001'),
(39, 2, 'BMW', 2, 'Z4', 39, 'Z4 sDrive35i', 'ZR', 'Cabrio', 'e1*2007/46*0373*01', 'Heckantrieb', '870', '1000', '1855', '4239', '1790', '1291', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N54B30', '6.5', '306', '225', '5800', '2979', '219', '1600', '250', '2', '2', '5', '2', '2009', '2013', '0005', 'AYN', '00001'),
(40, 2, 'BMW', 2, 'Z4', 40, 'Z4 sDrive35is', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*05', 'Heckantrieb', '870', '1000', '1855', '4244', '1790', '1284', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N54B30T', '6.5', '340', '250', '5900', '2979', '210', '1600', '250', '2', '2', '3', '11', '2013', '2018', '0005', 'AYO', '00017'),
(41, 2, 'BMW', 2, 'Z4', 41, 'Z4 sDrive35is', 'Z89/ZR', 'Cabrio', 'e1*2007/46*0373*01', 'Heckantrieb', '870', '1000', '1855', '4244', '1790', '1284', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'N54B30T', '6.5', '340', '250', '5900', '2979', '219', '1600', '250', '2', '2', '6', '2', '2010', '2013', '0005', 'AYO', '00001'),
(42, 3, 'Mazda', 3, '929', 42, '929 2.0', 'HB', 'Limousine', 'C640*', 'Frontantrieb', '815', '925', '1740', '4680', '1690', '1355', NULL, '1000', '600', 'Benzin', 'Ottomotor', 'FE', '3.9', '101', '74', '5600', '1984', NULL, '1200', '180', '5', '4', NULL, NULL, '1982', '1987', '7118', '311', '002'),
(43, 3, 'Mazda', 3, '929', 43, '929 2.0', 'HB', 'Limousine', 'C640*', 'Frontantrieb', '815', '925', '1740', '4705', '1690', '1420', NULL, '1100', '600', 'Benzin', 'Ottomotor', NULL, NULL, '120', '88', '5300', '1984', NULL, '1170', '183', '5', '4', NULL, NULL, '1982', '1987', '7118', '321', '001'),
(44, 3, 'Mazda', 3, '929', 44, '929 2.0', 'HC', 'Limousine', 'E611*', 'Frontantrieb', '900', '1040', '1940', '4885', '1705', '1425', NULL, '1200', '700', 'Benzin', 'Ottomotor', 'FE', '4.2', '116', '85', '5300', '1984', NULL, '1335', '182', '5', '4', NULL, NULL, '1987', '1992', '7118', '346', '001'),
(45, 3, 'Mazda', 3, '929', 45, '929 2.2', 'HC', 'Limousine', 'E611*', 'Frontantrieb', '900', '1040', '1940', '4885', '1705', '1425', NULL, '1200', '700', 'Benzin', 'Ottomotor', 'F2', '4.2', '116', '85', '5000', '2169', NULL, '1340', '180', '5', '4', NULL, NULL, '1987', '1992', '7118', '374', '001'),
(46, 3, 'Mazda', 3, '929', 46, '929 2.2i', 'HC', 'Limousine', 'E611*', 'Frontantrieb', '900', '1040', '1940', '4885', '1705', '1425', NULL, '1200', '700', 'Benzin', 'Ottomotor', 'F2', '4.2', '136', '100', '5500', '2169', NULL, '1380', '187', '5', '4', NULL, NULL, '1987', '1992', '7118', '347', '001'),
(47, 3, 'Mazda', 3, '929', 47, '929 3.0 V6', 'HC', 'Limousine', 'E611*', 'Frontantrieb', '980', '1060', '2040', '4885', '1705', '1425', NULL, '1500', '700', 'Benzin', 'Ottomotor', 'JE', '4.8', '170', '125', '5300', '2918', NULL, '1495', '205', '5', '4', NULL, NULL, '1987', '1992', '7118', '375', '001'),
(48, 3, 'Mazda', 3, '929', 48, '929 3.0 V6', 'HC', 'Limousine', 'E611*', 'Frontantrieb', '980', '1060', '2040', '4885', '1705', '1425', NULL, '1500', '700', 'Benzin', 'Ottomotor', 'JE', '4.8', '190', '140', '5500', '2918', NULL, '1460', '220', '5', '4', NULL, NULL, '1987', '1992', '7118', '348', '001'),
(49, 4, 'Mercedes', 4, 'SLS', 49, 'SLS AMG', '197', 'Coupe', 'e1*2007/46*0233*00', 'Heckantrieb', '920', '1125', '1935', '4646', '1985', '1264', NULL, NULL, NULL, 'Benzin', 'Ottomotor', '159.980', '9.5', '571', '420', '6800', '6208', '308', '1695', '317', '2', '2', NULL, NULL, '2010', '2014', '1414', 'AAA', '00001'),
(50, 4, 'Mercedes', 4, 'SLS', 50, 'SLS AMG', '197', 'Cabrio', 'e1*2007/46*0233*01', 'Heckantrieb', '920', '1125', '1960', '4638', '1939', '1261', NULL, NULL, NULL, 'Benzin', 'Ottomotor', '159.980', '9.5', '571', '420', '6800', '6208', '308', '1735', '317', '2', '5', '11', '1', '2011', '2014', '1414', 'AAB', '00001'),
(51, 4, 'Mercedes', 4, 'SLS', 51, 'SLS AMG Black Series', '197', 'Coupe', 'e1*2007/46*0233*04', 'Heckantrieb', '890', '1085', '1860', '4646', '1985', '1264', NULL, NULL, NULL, 'Benzin', 'Ottomotor', '159.980', '9.5', '631', '464', '7400', '6208', '321', '1625', '315', '2', '2', '3', NULL, '2013', '2014', '1414', 'AAE', '00001'),
(52, 4, 'Mercedes', 4, 'SLS', 52, 'SLS AMG GT', '197', 'Coupe', 'e1*2007/46*0233*03', 'Heckantrieb', '920', '1125', '1935', '4646', '1985', '1264', NULL, NULL, NULL, 'Benzin', 'Ottomotor', '159.980', '9.5', '592', '435', '6800', '6208', '308', '1695', '320', '2', '2', '7', NULL, '2012', '2014', '1414', 'AAC', '00001'),
(53, 4, 'Mercedes', 4, 'SLS', 53, 'SLS AMG GT', '197', 'Cabrio', 'e1*2007/46*0233*03', 'Heckantrieb', '920', '1125', '1960', '4638', '1939', '1261', NULL, NULL, NULL, 'Benzin', 'Ottomotor', '159.980', '9.5', '592', '435', '6800', '6208', '308', '1735', '320', '2', '5', '11', '4', '2011', '2014', '1414', 'AAD', '00001'),
(54, 5, 'Opel', 5, 'Speedster', 54, 'Speedster 2.2 16V ecoFLEX', 'E00TARGA', 'Cabrio', 'e4*98/14*0056*', 'Frontantrieb', '450', '700', '1150', '3786', '1708', '1117', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'Z22SE', '5.5', '147', '108', '5800', '2198', '205', '945', '217', '2', '2', '3', '9', '2001', '2004', '0035', '419', '001'),
(55, 5, 'Opel', 5, 'Speedster', 55, 'Speedster Turbo', 'E00TARGA', 'Cabrio', 'e4*98/14*0056*', 'Frontantrieb', '470', '760', '1150', '3786', '1739', '1117', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'Z20LET', '4.5', '200', '147', '5500', '1998', '202', '1005', '243', '2', '2', '9', '7', '2003', '2005', '0035', '493', '001'),
(56, 6, 'Porsche', 6, '928', 56, '928 4.5', '928', 'Coupe', 'A333*', 'Heckantrieb', '900', '1100', '1870', '4447', '1836', '1313', NULL, NULL, NULL, 'Benzin', 'Ottomotor', NULL, NULL, '241', '177', '5500', '4420', NULL, '1520', '240', '4', '2', NULL, NULL, '1977', '1994', '0583', '378', '001'),
(57, 7, 'VW', 7, 'Fox', 57, 'Fox 1.2', '5Z', 'Schrägheck', 'e1*2001/116*0301*01', 'Frontantrieb', '765', '750', '1480', '3828', '1660', '1544', '50', '700', '520', 'Benzin', 'Ottomotor', 'BMD', '3', '54', '40', '4750', '1198', '144', '1165', '148', '4', '3', '4', NULL, '2005', '2011', '0603', 'AAT', '00001'),
(58, 7, 'VW', 7, 'Fox', 58, 'Fox 1.2', '5Z', 'Schrägheck', 'e1*2001/116*0301*10', 'Frontantrieb', '765', '750', '1480', '3828', '1660', '1524', '50', '700', '520', 'Benzin', 'Ottomotor', 'CHFA', '3', '60', '44', '5200', '1198', '136', '1069', '153', '4', '3', '10', NULL, '2010', '2011', '0603', 'AZB', '00001'),
(59, 7, 'VW', 7, 'Fox', 59, 'Fox 1.4', '5Z', 'Schrägheck', 'e1*2001/116*0301*01', 'Frontantrieb', '830', '790', '1520', '4066', '1689', '1614', NULL, NULL, NULL, 'Benzin', 'Ottomotor', 'BKR', '3.2', '75', '55', '5000', '1390', '173', '1223', '167', '4', '3', '4', NULL, '2005', '2011', '0603', 'AAS', '00001'),
(60, 7, 'VW', 7, 'Fox', 60, 'Fox 1.4 TDI PD', '5Z', 'Schrägheck', 'e1*2001/116*0301*01', 'Frontantrieb', '870', '800', '1570', '4066', '1689', '1614', '50', '800', '540', 'Diesel', 'Dieselmotor', 'BWB (PD)', '3.8', '69', '51', '4000', '1422', '132', '1289', '161', '4', '3', '4', NULL, '2005', '2011', '0603', 'AAU', '00001');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `hersteller`
--

DROP TABLE IF EXISTS `hersteller`;
CREATE TABLE `hersteller` (
  `id` int(11) NOT NULL,
  `hersteller_id` int(11) DEFAULT NULL,
  `hersteller_name` varchar(128) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `hersteller`
--

INSERT INTO `hersteller` (`id`, `hersteller_id`, `hersteller_name`) VALUES
(1, 1, 'Audi'),
(2, 2, 'BMW'),
(3, 3, 'Mazda'),
(4, 4, 'Mercedes'),
(5, 5, 'Opel'),
(6, 6, 'Porsche'),
(7, 7, 'VW');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `modelle`
--

DROP TABLE IF EXISTS `modelle`;
CREATE TABLE `modelle` (
  `id` int(11) NOT NULL,
  `hersteller_id` int(11) DEFAULT NULL,
  `hersteller_name` varchar(128) DEFAULT NULL,
  `modell_id` int(11) DEFAULT NULL,
  `modell_name` varchar(128) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `modelle`
--

INSERT INTO `modelle` (`id`, `hersteller_id`, `hersteller_name`, `modell_id`, `modell_name`) VALUES
(1, 1, 'Audi', 1, 'RS4'),
(2, 2, 'BMW', 2, 'Z4'),
(3, 3, 'Mazda', 3, '929'),
(4, 4, 'Mercedes', 4, 'SLS'),
(5, 5, 'Opel', 5, 'Speedster'),
(6, 6, 'Porsche', 6, '928'),
(7, 7, 'VW', 7, 'Fox');

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `fahrzeuge`
--
ALTER TABLE `fahrzeuge`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `hersteller`
--
ALTER TABLE `hersteller`
  ADD PRIMARY KEY (`id`);

--
-- Indizes für die Tabelle `modelle`
--
ALTER TABLE `modelle`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT für exportierte Tabellen
--

--
-- AUTO_INCREMENT für Tabelle `fahrzeuge`
--
ALTER TABLE `fahrzeuge`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=61;

--
-- AUTO_INCREMENT für Tabelle `hersteller`
--
ALTER TABLE `hersteller`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT für Tabelle `modelle`
--
ALTER TABLE `modelle`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
